API / Branding
POST
/identities/{id}/brand/extract
Extract a branding suggestion from a URL or HTML
Authentification : clé API Bearer requise.
Paramètres
| Nom | Dans | Type | Description |
|---|---|---|---|
| id* | path | string | Identity ID |
Corps JSON
Source URL or raw HTML
| Nom | Type | Description |
|---|---|---|
| html | string | — |
| url | string | — |
Exemple curl
curl -X POST https://api.sporee.fr/identities/<id>/brand/extract \
-H "Authorization: Bearer $SPORE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"html": "<p>Votre compte est prêt.</p>"
}'Réponses
| Statut | Description | Type |
|---|---|---|
| 200 | OK | extract_brand.Response |
| 400 | Bad Request | echo.HTTPError |
| 401 | Unauthorized | echo.HTTPError |
Source machine : openapi.json · opération extractBrand